
Redmine - Defect #16169

Wrong validation when updating integer custom field with spaces

2014-02-25 14:49 - Vincent Robert

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 2.4.4   

Resolution: Fixed Affected version:  

Description

Our project custom field is an integer. When we update its value, we get an error message if we enter letters (that's fine) but we can

enter and save spaces.

A string composed of spaces should not be authorized.

When the custom_value table contains wrong spaces values, it breaks some requests on custom fields because the current requests

cast the values to decimals (like in the sql_for_field method in the query class).

Environment:

Redmine version      2.5.0.devel.12927

Ruby version            1.9.3-p484 (2013-11-22) [x86_64-darwin13.0.0]

Rails version            3.2.17

Database adapter    PostgreSQL 9.3

Associated revisions

Revision 12938 - 2014-02-28 11:05 - Jean-Philippe Lang

Fixed that non-empty blank strings as custom field values are not properly validated (#16169).

Revision 12939 - 2014-02-28 12:39 - Jean-Philippe Lang

Merged r12938 (#16169).

Revision 12940 - 2014-02-28 12:40 - Jean-Philippe Lang

Backported r12938 (#16169).

History

#1 - 2014-02-28 11:06 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.4.4

- Resolution set to Fixed

Fixed in r12938, thanks for pointing this out.

#2 - 2014-03-02 10:32 - Jean-Philippe Lang

- Status changed from Resolved to Closed
